
function mudfish_adclean_e7aa754b67c57af40eae6ff22367a87c() {
  var g_conf = {
    mudfish_adclean_filter_on: true
  };
  chrome.storage.local.get(g_conf, function (items) {
    if (!g_conf.mudfish_adclean_filter_on) {
      return;
    }
    try {
      Sizzle(`.adBannerBox`).forEach(element => {
        element.style.display = "none";
      });
    } catch (error) {
      console.log('[ERROR] mudfish_adclean rule error: ' + error);
    }
  });
}

var mudfish_adclean_is_firefox = typeof InstallTrigger !== 'undefined';
if (mudfish_adclean_is_firefox) {
  mudfish_adclean_e7aa754b67c57af40eae6ff22367a87c();
} else {
  window.addEventListener("load", (event) => {
    mudfish_adclean_e7aa754b67c57af40eae6ff22367a87c();
  });
}
